Package org.linphone.core

# Class CoreException

java.lang.Object
java.lang.Throwable
java.lang.Exception
org.linphone.core.CoreException

All Implemented Interfaces:
  `Serializable`

public class CoreException extends Exception

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CoreException()`
`CoreException(String detailMessage)`
`CoreException(String detailMessage, Throwable e)`
`CoreException(Throwable e)`

## Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### CoreException

public CoreException()

### CoreException

public CoreException(String detailMessage)

### CoreException

public CoreException(Throwable e)

### CoreException

public CoreException(String detailMessage, Throwable e)